summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Philip Lacroix2015-11-07 04:16:09 +0100
committer Willy Sudiarto Raharjo2015-11-07 04:16:09 +0100
commit43b424f08c4607c42c71a88e8c49d693ae3e3100 (patch)
treef1e7e3ce34895441c7e20012021790fd3d970e91
parent46d61a73d9e8f4e36e91332118639eff3b001c96 (diff)
downloadslackbuilds-43b424f08c4607c42c71a88e8c49d693ae3e3100.tar.gz
system/xar: Updated for version 1.6.1 + New maintainer.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/xar/README16
-rw-r--r--system/xar/slack-desc18
-rw-r--r--system/xar/xar.SlackBuild42
-rw-r--r--system/xar/xar.info12
4 files changed, 47 insertions, 41 deletions
diff --git a/system/xar/README b/system/xar/README
index 8ff2186de6..82c36b3f4e 100644
--- a/system/xar/README
+++ b/system/xar/README
@@ -1,8 +1,12 @@
The XAR project aims to provide an easily extensible archive format. Important
design decisions include an easily extensible XML table of contents for random
-access to archived files, storing the toc at the beginning of the archive to
-allow for efficient handling of streamed archives, the ability to handle files
-of arbitrarily large sizes, the ability to choose independent encodings for
-individual files in the archive, the ability to store checksums for individual
-files in both compressed and uncompressed form, and the ability to query the
-table of content's rich meta-data.
+access to archived files; storing the table at the beginning of the archive to
+allow for efficient handling of streamed archives; the ability to handle files
+of arbitrarily large sizes; the ability to choose independent encodings for
+individual files in the archive; the ability to store checksums for individual
+files in both compressed and uncompressed form; the ability to query the table
+of content's rich meta-data.
+
+NOTE: This script builds a fork of the original XAR project developed by Rob
+Braun at code.google.com. The forked project includes several bug fixes and
+enhancements.
diff --git a/system/xar/slack-desc b/system/xar/slack-desc
index feb24594e4..77b6d75458 100644
--- a/system/xar/slack-desc
+++ b/system/xar/slack-desc
@@ -8,12 +8,12 @@
|-----handy-ruler------------------------------------------------------|
xar: xar (eXtensible ARchiver)
xar:
-xar: The XAR project aims to provide an easily extensible archive format.
-xar:
-xar:
-xar:
-xar:
-xar:
-xar:
-xar:
-xar:
+xar: XAR provides an easily extensible archive format. An XML table of
+xar: contents, stored at the beginning of the archive, allows for random
+xar: access to the archived files. XAR can handle files of arbitrarily
+xar: large sizes, is able to encode individual files in the archive
+xar: independently, can store checksums for individual files in both
+xar: compressed and uncompressed form, can query the rich metadata of
+xar: the table of contents.
+xar:
+xar: Homepage: https://mackyle.github.io/xar/
diff --git a/system/xar/xar.SlackBuild b/system/xar/xar.SlackBuild
index 29610100d4..805f2e915e 100644
--- a/system/xar/xar.SlackBuild
+++ b/system/xar/xar.SlackBuild
@@ -1,8 +1,10 @@
#!/bin/sh
-# Slackware build script for xar.
+# Slackware build script for xar
+
+# Copyright 2010-2011 Marco Bonetti <sid77 at slackware dot it>
+# Copyright 2015 Philip Lacroix <slackph at posteo dot de>
#
-# Copyright 2010-2011 Marco Bonetti <sid77@slackware.it>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +25,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=xar
-VERSION=${VERSION:-1.5.2}
+VERSION=${VERSION:-1.6.1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -61,40 +63,40 @@ mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
-cd $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
- --sysconfdir=/etc \
- --localstatedir=/var \
--mandir=/usr/man \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--disable-static \
--build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+PRGMAN=$PKG/usr/man/man1
+PRGDOC=$PKG/usr/doc/$PRGNAM-$VERSION
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-)
+# Compress man page.
+gzip -9 $PRGMAN/$PRGNAM.1
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
-cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+# Install documentation.
+mkdir -p $PRGDOC
+cp -a ChangeLog INSTALL LICENSE NEWS $PRGDOC
+cat $CWD/$PRGNAM.SlackBuild > $PRGDOC/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
diff --git a/system/xar/xar.info b/system/xar/xar.info
index 2dc3bc95cc..326fbe5094 100644
--- a/system/xar/xar.info
+++ b/system/xar/xar.info
@@ -1,10 +1,10 @@
PRGNAM="xar"
-VERSION="1.5.2"
-HOMEPAGE="http://code.google.com/p/xar/"
-DOWNLOAD="http://xar.googlecode.com/files/xar-1.5.2.tar.gz"
-MD5SUM="8eabb055d3387b8edc30ecfb08d2e80d"
+VERSION="1.6.1"
+HOMEPAGE="https://mackyle.github.io/xar/"
+DOWNLOAD="https://cloud.github.com/downloads/mackyle/xar/xar-1.6.1.tar.gz"
+MD5SUM="a624535d6a1e8fdf420b36a6b334047b"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
-MAINTAINER="Marco Bonetti"
-EMAIL="sid77@slackware.it"
+MAINTAINER="Philip Lacroix"
+EMAIL="slackph at posteo dot de"